<?php
$filename = 'c_leitura.php';
session_start();
if (!file_exists($filename)) {
  header("Location: error.php"); exit;   
}				
include 'c_leitura.php';

?>
<?php
error_reporting(0); 
include ('db.php');
$id = $_SESSION['UsuarioID'];

$atual = md5($_POST['atual']);
$senha = md5($_POST['pass']);
$senha2 = md5($_POST['pass2']);

// $caminho = 'alterar_senha.php';

$result = mysql_query("SELECT passwd FROM user WHERE id = $id");
$row = mysql_fetch_array($result);

if ($atual != $row['passwd']){
    echo json_encode(array('success'=>0, 'msg'=>'Senha atual está incorreta!'));
} elseif ($senha != $senha2) {
    echo json_encode(array('success'=>0, 'msg'=>'As senhas informadas não conferem!'));
} else {
    $sql = mysql_query("UPDATE user SET passwd = '$senha' WHERE id = '$id'") or die(mysql_error());
     
	if ($sql) {
		echo json_encode(array('success'=>1, 'msg'=>'Senha alterada com sucesso!'));
	} else {
		echo json_encode(array('success'=>0, 'msg'=>'Erro ao alterar senha'));
	}

}

exit;